POST /v1/work-planning/approve-week POST /v1/work-planning/approve-week
Approve a week of submitted work schedule entries (team leader). Accepts employeeId (kanonisch nach ADR 0123, funktioniert auch für Mitarbeitende ohne Login-Account) ODER userId (Legacy).
Request Body
Name Typ Beschreibung userIdstringEmployee user ID whose week to approve employeeIdstringemployee_profile._id (ADR 0123, bevorzugt) weekStarterforderlich string<date>
Beispiel
curl -X POST https://api.codemeta-os.de/v1/work-planning/approve-week \
-H "X-Tenant-Id: $TENANT " \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"userId": "string",
"employeeId": "string",
"weekStart": "string"
}' const result = await cm.work - planning. post ({
"userId" : "string" ,
"employeeId" : "string" ,
"weekStart" : "string"
});
Antwortcodes
HTTP
Bedeutung
200
Default Response
Beschreibung folgt
Diese Operation hat noch keine kuratierte Annotation. Der Inhalt wird beim nächsten Doku-Update ergänzt.